Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.metadata.user.domain
Interface User

All Superinterfaces:
  AttributedObject

All Known Implementing Classes:
  MetadataUserDetails, RepoUser, UserImpl

    public interface User

extends AttributedObject

Version:
  $Id: User.java 8408 2007-05-29 23:29:12Z melih $
Author:
  swood

Method Summary
`void` | `addRole(Role aRole)`
`java.lang.String` | `getEmailAddress()`
`java.lang.String` | `getFullName()`
`java.lang.String` | `getPassword()` Only if we are using our own authentication
`java.util.Set` | `getRoles()`
`java.lang.String` | `getUsername()`
`boolean` | `isEnabled()`
`boolean` | `isExternallyDefined()`
`void` | `removeRole(Role aRole)`
`void` | `setEmailAddress(java.lang.String emailAddress)`
`void` | `setEnabled(boolean enabled)`
`void` | `setExternallyDefined(boolean externallyDefined)`
`void` | `setFullName(java.lang.String fullName)`
`void` | `setPassword(java.lang.String password)`
`void` | `setRoles(java.util.Set newRoles)`
`void` | `setUsername(java.lang.String username)`

Methods inherited from interface com.jaspersoft.jasperserver.api.common.domain.AttributedObject
`getAttributes, setAttributes`

Method Detail

### getUsername

    java.lang.String getUsername()

### setUsername

    void setUsername(java.lang.String username)

### getFullName

    java.lang.String getFullName()

### setFullName

    void setFullName(java.lang.String fullName)

### getPassword

    java.lang.String getPassword()

  Only if we are using our own authentication

  Returns:

### setPassword

    void setPassword(java.lang.String password)

### getEmailAddress

    java.lang.String getEmailAddress()

### setEmailAddress

    void setEmailAddress(java.lang.String emailAddress)

### isExternallyDefined

    boolean isExternallyDefined()

### setExternallyDefined

    void setExternallyDefined(boolean externallyDefined)

### isEnabled

    boolean isEnabled()

### setEnabled

    void setEnabled(boolean enabled)

### getRoles

    java.util.Set getRoles()

### setRoles

    void setRoles(java.util.Set newRoles)

### addRole

    void addRole(Role aRole)

### removeRole

    void removeRole(Role aRole)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.